package com.chinaitop.depot.intelligent.ventilation.mapper;

import com.chinaitop.depot.intelligent.ventilation.model.TJobApplication;
import com.chinaitop.depot.intelligent.ventilation.model.TJobApplicationAudit;
import com.chinaitop.depot.intelligent.ventilation.model.TJobApplicationExample;
import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

public interface TJobApplicationMapper {
    int countByExample(TJobApplicationExample example);

    int deleteByExample(TJobApplicationExample example);

    int deleteByPrimaryKey(String id);

    int insert(TJobApplication record);

    int insertSelective(TJobApplication record);

    List<TJobApplication> selectByExample(TJobApplicationExample example);

    TJobApplication selectByPrimaryKey(String id);

    int updateByExampleSelective(@Param("record") TJobApplication record, @Param("example") TJobApplicationExample example);

    int updateByExample(@Param("record") TJobApplication record, @Param("example") TJobApplicationExample example);

    int updateByPrimaryKeySelective(TJobApplication record);

    int updateByPrimaryKey(TJobApplication record);
    
    List<TJobApplicationAudit> getApprovalList(Map<String, Object> paramMap);

	List<TJobApplication> getJobCtrlList(Map<String, String> map);

	TJobApplication getHouseByNumber(String aerationPlanNumber);
}